//FillCombos.cpp : Implementierungsdatei
//************************************************************************
// Fllt die Comboboxen fr Hersteller deren Bausteine
// EPROMER V8.xx
// Holger Klabunde
// 19.12.2001
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"

#include "Global.h"
#include "protos.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//****************************************************
//Hersteller in die Combobox eintragen
int CAVRPromDlg::FillManuf()
//****************************************************
{
 int countmanuf,result;

 countmanuf=-1; //-1 weil 0 ein gltiger Wert ist

 if(OpenBib()==NO_ERRORS) //CSV-Datei ffnen
  {
   do
	{
	 result=ReadManuf();
	 if(result==NO_ERRORS)
	  {
	   m_Manuf.AddString(line); //Neuer Herstellername in line
	   countmanuf++;            //Hersteller zhlen
	  }

	}while(result!=NO_NAME);

   if(manufindex>countmanuf) manufindex=0; //Zuwenig Hersteller gefunden

   CloseBib(); //CSV-Datei schlieen
  }//if OpenBib
	
 if(countmanuf==-1) m_Manuf.AddString("Keine Hersteller");

 //ComboBoxen auf zuletzt eingestellten Wert oder 0 setzen
 m_Manuf.SetCurSel(manufindex);

 if(countmanuf==-1) return NO_NAME; //Keine Eintrge gefunden

 return NO_ERRORS;
}

//****************************************************
//Bausteine Combobox mit Eintrgen fllen
int CAVRPromDlg::FillDevices() 
//****************************************************
{
 int result,countdevices;

 m_Device.ResetContent(); //Alte Bausteinliste lschen

 countdevices=-1; //-1 weil 0 ein gltiger Wert ist

 if(OpenBib()==NO_ERRORS) //CSV-Datei ffnen
  {
   if(SearchManuf()==NO_ERRORS); //Vorspulen auf den gewnschten Hersteller
    {

     do
	  {
	   result=InsertDevice();
	   if(result==NO_ERRORS)
		{
	     m_Device.AddString(devicename); //Neuer Baustein in devicename[]
	     countdevices++;
		}

	  }while(result!=NO_NAME);
	}//if SearchManuf

   if(deviceindex>countdevices) deviceindex=0; //Zuwenig Bausteine

   CloseBib(); //CSV-Datei schlieen
  }//if OpenBib
 
 if(countdevices==-1) m_Device.AddString("Keine Bausteine");
 m_Device.SetCurSel(deviceindex);

 if(countdevices==-1) return NO_NAME; //Keine Bausteine gefunden

 return NO_ERRORS;
}
