//************************************************************************
// AVR LockBits und FuseBits programmieren
//
// AVRpromer V2.xx
// Holger Klabunde
// 03.10.2002
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"

#include "Global.h"
#include "port_io.h"
#include "protos.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

int CAVRPromDlg::ProgramFuseBits()
{
 unsigned char fuse;

 switch(program_mode)
  {
   case SPI1: case MSPI1:
   break;
   default: Msg("Programmiermodus fehlt in ProgramFuseBits()");
    return NO_BLANK;
   break;
  }

 m_Message.SetWindowText("Programmiere Fuse Bits");
 UpdateWindow();

 fuse=0xFF; //Ersma alle Bits setzen

 if(program_mode==SPI1 || program_mode==MSPI1)
  {
   SPIWriteFuseBits();
   //Erstmal kein Verify der FuseBits !
  }

 return NO_ERRORS;
}

//*********************
//Security Bits brennen
//*********************
int CAVRPromDlg::ProgramLockBits()
{
 switch(program_mode)
  {
   case SPI1: case MSPI1:
   break;
   default: Msg("Programmiermodus fehlt in ProgramLockBits()");
    return NO_BLANK;
   break;
  }

 m_Message.SetWindowText("Programmiere Security Bits");
 UpdateWindow();

 if(program_mode==SPI1 || program_mode==MSPI1)
  {
     SPIWriteLockBits();     //LockBits programmieren
  }// if(program_mode==SPI1 || program_mode==MSPI1)

 return NO_ERRORS;
}
