//************************************************************************
// AVR brennen mit Erkennung des Datenformates
// AVRpromer V1.xx
// Holger Klabunde
// 22.10.2000
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"
#include <io.h>
#include <fcntl.h>

#include "Global.h"
#include "port_io.h"
#include "protos.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//*******************************************
// AVR in Abhngigkeit vom Dateityp brennen
int CAVRPromDlg::Program(char *pname,int message,int mode)
//*******************************************
{
 int result,hxmode;

 hxmode=CheckHex(pname,mode); //Art der HEX-Datei bestimmen
 if((hxmode==UNKNOWN_HEX)&&(mode==16)) return NO_INPUT; //Fehler bei Dateioperation
 if((hxmode==UNKNOWN_HEX)&&(mode==8)) return NO_ERRORS; //Keine EERPOMdaten da

//Datei ffnen
 if(hxmode>BIN) in=fopen(pname,"rt"); //ASCII-Text
 else in=fopen(pname,"rb");  // Alle anderen erstmal binr

//Bei Fehler: Meldung und raus
 if(in==NULL)  { ShowErr(fname); return NO_INPUT;  }

//Datenpuffer mit der Datei fllen
 result=FillBuffer(hxmode,mode);
 if(result!=NO_ERRORS) { EndProgram(); return NO_INPUT; }

 result=ProgramAVR(hxmode,message,mode);
 EndProgram();
 return result;
}

//**************************************
// Programmierroutine definiert beenden.
void CAVRPromDlg::EndProgram()
//**************************************
{
 if(in) fclose(in); // Datei schlieen
 in=NULL;
}

