//************************************************************************
// AVRpromer V1.xx
// Verify mit Datenpuffer
//
// Holger Klabunde
// 12.10.2002
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"

#include "Global.h"
#include "port_io.h"
#include "protos.h"
#include "spi_io.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

int CAVRPromDlg::VerifyAVR(int hxmode, int message, int mode)
{
 int result;

 switch(program_mode)
  {
   case SPI1: case MSPI1:
   break;
   default: Msg("Programmiermodus fehlt in VerifyAVR()");
    return NO_BLANK;
   break;
  }

 if(mode==8) ResetProgress(highadr);
 if(mode==16) ResetProgress(highadr/2);

/*
 if(message==MESSAGE_YES)
  {

   //Je nach Dateiart (Intel8Hex,S1-3,usw.)
	switch(hxmode)
	 {
	  case INTEL8    : result=VerifyQuestion("(Intel8HEX)"); break;
	  case INTEL32	 : result=VerifyQuestion("(Intel32-HEX)"); break;
	  case INTELMCS  : result=VerifyQuestion("(IntelMCS86-HEX)"); break;
	  case MOT_S1	 : result=VerifyQuestion("(Motorola Exorciser S1-HEX)"); break;
	  case MOT_S2	 : result=VerifyQuestion("(Motorola Exormax S2-HEX)"); break;
	  case MOT_S3	 : result=VerifyQuestion("(Motorola 32Bit S3-HEX)");	break;
      case ATMEL_AVR : result=VerifyQuestion("(Atmel ROM)");	break;
      case BIN       : result=VerifyQuestion("(BIN)"); break;
	  default : result=IDCANCEL; break;
	 }

	if(result==IDCANCEL) return NO_VERIFY;
  }
*/

 m_Cancel.EnableWindow(TRUE); //Cancel-Knopf aktivieren

 if(checkid>0)
  {
   result=CheckID();
   if(result!=NO_ERRORS) { return NO_VERIFY; }
  }

 if(mode==16) m_Message.SetWindowText("Prfe Programmspeicher");
 if(mode==8) m_Message.SetWindowText("Prfe DatenEEPROM");
 UpdateWindow();

 result=VerifyData(mode);

 m_Percent.SetPos(0); //Statusanzeige zurcksetzen

 return result;
}

