//************************************************************************
// AVRPROM V1.00 fr Epromer V8.00
// Prft die Signatur des Controllers, wenn vorhanden
//
// Holger Klabunde
// 03.10.2002
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"

#include "Global.h"
#include "protos.h"
#include "port_io.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

int CAVRPromDlg::CheckID()
{
 int result;
 unsigned char id_00,id_01,id_02;
// unsigned char buff;

 switch(program_mode)
  {
   case SPI1: case MSPI1:
   break;
   default: Msg("Programmiermodus fehlt in CheckID()"); return NO_ID;
    break;
  }

 if(program_mode>=SPI1) //SPI Mode
  {
   id_00=SPIReadID(0); //Drei ID-Bytes lesen
   id_01=SPIReadID(1);
   id_02=SPIReadID(2);

/*   buff=SPIReadFuseLock();
   sprintf(zeile,"ID's 0x%02X 0x%02X 0x%02X\nlock 0x%02X",id_00,id_01,id_02,buff);
   Msg(zeile);
*/
  }


 result=NO_ERRORS;

 if((id00!=id_00)||(id01!=id_01)||(id02!=id_02)) //Gelesen aus *.csv-Datei
  {
   sprintf(zeile,"Prozessor-ID's stimmen nicht !!!\n\n"
				 "Richtig:	Hersteller-ID 0x%02X	Baustein-ID 0x%02X	Sub-ID 0x%02X\n"
				 "Gelesen:	Hersteller-ID 0x%02X	Baustein-ID 0x%02X	Sub-ID 0x%02X\n"
		 	  ,id00,id01,id02,id_00,id_01,id_02);
   Msg(zeile);
   result=NO_ID;
  }


 if(result!=NO_ERRORS) return NO_ID;

 return NO_ERRORS;
}

