//************************************************************************
// Sucht je nach AVR die passende Brennroutine aus
// AVRpromer V1.1x
// Holger Klabunde
// 03.10.2002
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"

#include "Global.h"
#include "port_io.h"
#include "protos.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

int CAVRPromDlg::Do_Program(int mode)
{
 int result;
 result=NO_ERRORS;

 switch(program_mode)
  {
   case SPI1: case MSPI1:
   break;
   default: Msg("Programmiermodus fehlt in Do_Program()");
    return NO_BLANK;
   break;
  }

 if(program_mode==SPI1)
  {
   result=ProgramAVRSerial(mode);
  }

 if(program_mode==MSPI1)
  {
   result=ProgramMegaSerial(mode);
  }

 if(mCancel==TRUE)
  {
   Msg("Programmierung abgebrochen !");
  }

 return result;
}

