//************************************************************************
// Liest die Bausteine aus der Bauteilbibliothek
// Holger Klabunde
// 05.08.1998
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"

#include "global.h"
#include "protos.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

int CAVRPromDlg::InsertDevice()
{
 char *result;
 int linelen;
 char buf1,buf2,buf3[2];

 strcpy(buf3,"a"); //Nur um ein "\n" ans Ende zu kriegen

 do //Einen Baustein eintragen
 {
  result=fgets(zeile,ARRAYSIZE,in); //Eine Zeile lesen
  if(result!=NULL)
  {
   linelen=strlen(zeile)-2;	//Lnge der Zeile feststellen
   buf1=zeile[0]; 
   buf2=zeile[linelen];	    //Letzter Buchstabe der Zeile
   buf2=toupper(buf2);		//Grobuchstaben machen

   if(buf1==':') return NO_NAME; //Ein neuer Hersteller gefunden

   if(buf2=='Y') //Gltige Zeile ?
   {
	//Bauteilname steht in devicename
    return ReadCSV();
   }//Ende Bausteinnamen lesen
 
  }//if result!=NULL

 }while(result!=NULL);


 return NO_NAME;
}

//*********************************************
//Sucht den ausgewhlten Baustein und schreibt
//dessen Werte in den Puffer 'zeile'
int CAVRPromDlg::ReadDeviceData()
//*********************************************
{
 int linelen;
 int count;
 char *result;
 char buf1,buf2;

 count=-1; //Weil 0 ein gltiger Eintrag ist

 if(OpenBib()!=NO_ERRORS) return NO_CSV;

 if(SearchManuf()!=NO_ERRORS) //Vorspulen auf den gewnschten Hersteller
  {
   CloseBib(); //Brauch ich nicht mehr 
   return NO_CSV; //Hersteller nicht gefunden 
  }

  //Baustein suchen
 do
  {
   result=fgets(zeile,ARRAYSIZE,in); //Eine Zeile lesen
   if(result!=NULL)
   {
     linelen=strlen(zeile)-2;	//Lnge der Zeile feststellen
     buf1=zeile[0]; 
     buf2=zeile[linelen];	    //Letzter Buchstabe der Zeile
     buf2=toupper(buf2);		//Grobuchstaben machen

     if(buf1==':')
	 {
      Msg("Keine Bausteine fr diesen\n\n Hersteller in der Liste !");
	  CloseBib(); //Brauch ich nicht mehr 
 	  return NO_CSV; //Fehler:Hersteller gefunden
	 }

     if(buf2=='Y') //Gltige Zeile ?
	 {
 	  count++; //Deviceindex hochzhlen
	 }
   }
   else
   {
    Msg("Fehler beim lesen der Bibliothek !");
	CloseBib(); //Brauch ich nicht mehr 
    return NO_CSV; //Lesefehler 
   }

  }while((count<deviceindex)&&(result!=NULL));

 
 CloseBib(); //Brauch ich nicht mehr 
 
 if(count!=deviceindex) return NO_CSV; //Bauteil nicht gefunden
                                       //Mglich wenn Bib zur Laufzeit gelscht wurde

 if(ReadCSV()!=NO_ERRORS) return NO_CSV; //Bausteindaten aus 'zeile' lesen

 return NO_ERRORS;
}