//************************************************************************
// AVRpromer V1.xx
// Verify mit Datenarray
//
// Holger Klabunde
// 03.10.2002
// Compiler Visual C++ V5.0
//************************************************************************
#include "stdafx.h"

#include "Global.h"
#include "port_io.h"
#include "protos.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

int CAVRPromDlg::VerifyData(int mode)
{
 unsigned long datcounter,adr;
 unsigned char be;
 unsigned int be1,be2;
 int result;

 switch(program_mode)
  {
   case SPI1: case MSPI1:
   break;
   default: Msg("Programmiermodus fehlt in VerifyData()");
    return NO_BLANK;
   break;
  }

 datcounter=0;

 result=NO_ERRORS;

 do
  {

   if(mode==8)
    {
     if(program_mode>=SPI1)
      {
       be=SPIReadAVRByte(datcounter); //s.o.
      }

//Fehlermeldung anpassen !!
	 if(be!=data[datcounter]) //Verify
	  {
	   sprintf(zeile,"Daten EEPROM Verifyfehler an\n\n"
	                 "Adresse 0x%08lX\n"
					 "Byte 0x%02X\n"
					 "Gelesen 0x%02X"
					 ,datcounter,data[datcounter],be);
	   //result=IDCANCEL;
	   result=MsgRetryCancel(zeile);
	  }

	 datcounter++; // nchstes Byte im Array
 	}

   if(mode==16)
    {
     adr=datcounter/2; //Wordadressen ! deshalb /2

     if(program_mode>=SPI1)
      {
       be1=SPIReadAVRWord(adr); //s.o.
      }

//Aus data ein Vergleichswort zusammenbauen
    be2=(data[datcounter]+(data[datcounter+1]<<8));

//Fehlermeldung anpassen !!
	 if(be1!=be2) //Verify
	  {
	   sprintf(zeile,"Verifyfehler an Adresse 0x%08lX\n"
						 "Wort 0x%04X\nGelesen 0x%04X"
						 ,adr,be2,be1);
	   //result=IDCANCEL;
	   result=MsgRetryCancel(zeile);
	  }

	 datcounter+=2; //Nchste Wordadresse im Datenarray

	}

	UpdateProgress();

  }while((datcounter<highadr)&&(result!=IDCANCEL)&&(mCancel==FALSE));

 
 if(result!=NO_ERRORS) return NO_VERIFY; //Fehler aufgetreten
 if(mCancel==TRUE)
  {
   Msg("Prfen abgebrochen");
   return NO_VERIFY;
  }

 return NO_ERRORS;
}